Google Web Toolkit (Beta)
Search this site:

# Class JSONParser

public class JSONParser
extends Object
Parses the string representation of a JSON object into a set of JSONValue-derived objects.

## Methods

parse(String) | Given a jsonString, returns the JSONObject representation.

## See Also

JSONValue

## Method Detail

### parse

public static JSONValue parse(String jsonString)
Given a jsonString, returns the JSONObject representation. For efficiency, parsing occurs lazily as the structure is requested.

#### Parameters

jsonString

#### Return Value

a JSONObject that has been built by parsing the JSON string